#ifndef DIALPLAN_H
#define	DIALPLAN_H

#include "Common.h"

class DialPlan {
private:
	typedef std::map<std::string, DialplanExtension> DialplanExtensionList;
	DialplanExtensionList dialplanExtensionList; /* list of extensions - key is telNum */
public:
	DialPlan();
	~DialPlan();
	void printExtensions(const int fd);
	int findDialByExt(const std::string extensionNumber);
};

#endif	/* DIALPLAN_H */

