/*
 * Bug 81300 - Make boost thread-safe by defining BOOST_SPIRIT_THREADSAFE
 * asterisk restricts access to some pthread_* functions, we have to undef them
 */
#undef pthread_mutex_t
#undef pthread_cond_t
#undef pthread_mutex_init
#undef pthread_mutex_destroy
#undef pthread_mutex_lock
#undef pthread_mutex_trylock
#undef pthread_mutex_t
#undef pthread_mutex_unlock
#undef pthread_cond_init
#undef pthread_cond_signal
#undef pthread_cond_broadcast
#undef pthread_cond_destroy
#undef pthread_cond_wait
#undef pthread_cond_timedwait
#undef localtime_r
#define BOOST_SPIRIT_THREADSAFE
