#ifndef TIME_RANGE_INTERFACE_H
#define	TIME_RANGE_INTERFACE_H

#include <time.h>

#ifdef	__cplusplus
extern "C" {
#endif

	int timerange_load();
	void timerange_unload();
	void timerange_print(int fd);
	int timerange_test(const char *timeRange);
	int timerange_test_timestamp(const char *timeRange, time_t timeStamp);
	char **timerange_get_names(void);/* !!!FREE MEMORY!!! */

#ifdef	__cplusplus
}
#endif

#endif	/* TIME_RANGE_INTERFACE_H */
